module Easy
  module Resources
    module Redmine
      class CustomField < RedmineBase
        self.element_name = 'custom_field'

        self.schema = {
          id: :integer,
          name: :string,
          internal_name: :string,
          value: :string,
          field_format: :string,
        }

        # @return formatted value based on **field_format**
        def cast_value
          case field_format
          when "bool"
            value.to_s =~ /1|true/i ? true : false
          when "float", "amount"
            value.to_f
          when "int"
            value.to_i
          when "date"
            Date.parse value
          when "datetime"
            DateTime.parse value
          else
            value
          end
        end

      end
    end
  end
end
