module Easy
  module Resources
    module Redmine
      class EasyServer < RedmineBase
        self.element_name = 'easy_server'

        has_many :easy_web_applications, class_name: 'Easy::Resources::Redmine::EasyWebApplication'

        self.schema = {
          host_name: :string,
          server_type: :string,
          server_status: :string
        }

        # Alias for +host_name+ attribute
        # @return [String]
        def url
          host_name
        end

        # Alias for +server_status+ attribute
        # @return [String]
        def status
          server_status
        end

        # @param [String] name of status
        def status=(name)
          self.server_status = name
        end

      end
    end
  end
end
