module Easy
  module Resources
    module Redmine
      class Errors < ::ActiveResource::Errors

        # Redmine in XML responses specify type="array" on Errors
        # It cause that `Hash.from_xml` already parsed errors as a Array
        def from_xml(xml, save_cache = false)
          array = begin
            Array.wrap(Hash.from_xml(xml)["errors"])
          rescue StandardError
            []
          end
          from_array array, save_cache
        end

      end
    end
  end
end
